Bug 197926 - FutureFeature Match expire
FutureFeature Match expire
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Riek
Network QE
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-07-07 09:05 EDT by xoleron
Modified: 2010-11-10 15:43 EST (History)
8 users (show)

See Also:
Fixed In Version: kernel-2.6.32
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-11-10 15:43:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steffen Mann 2006-07-07 09:05:16 EDT
Add match expire for all arch,

Customer demand this as they are a large telco (T-Systems) would need to
temporarily be able to apply changes that later would expire.

There is a patch available:


They would love us to integrate this with RHEL4.5
They are willing to test beta rpms if available.

For us this is Prio3
Fort them this is Prio3

Currently the client could work around this by writing cron jobs, but long term
they would like to see an easy solutino available.
Comment 1 Thomas Woerner 2006-07-07 14:41:57 EDT
At first this has to make it into the kernel, second the header file has to get
integrated into glibc-kernheaders, then it can be enabled in iptables.

Assigning to kernel for now. 

Please assign to glibc-kernheaders afterwards and if it is done for these
packages, reassign to iptables.
Comment 4 Daniel Riek 2008-03-17 10:59:03 EDT
I don't think that this qualifies for a RHEL4 packport. It should be possible to
script this, if I understand correctly what it does.

So I'd say next major release.
Comment 5 Daniel Riek 2008-03-17 11:42:55 EDT
Moving to next major release. Already upstream, so should be alright.
Comment 6 Red Hat Bugzilla 2008-07-30 02:16:17 EDT
Adding fdechery@redhat.com to the cc list as the manager of the disabled user xoleron@redhat.com who reported this bug
Comment 7 Bill Nottingham 2008-10-09 16:04:48 EDT
RHEL 6 will include a recent upstream kernel, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
Comment 10 Hushan Jia 2010-09-01 02:28:06 EDT
On kernel -70, time match is in:
$iptables -m time --help
time match options:
    --datestart time     Start and stop time, to be given in ISO 8601
    --datestop time      (YYYY[-MM[-DD[Thh[:mm[:ss]]]]])
    --timestart time     Start and stop daytime (hh:mm[:ss])
    --timestop time      (between 00:00:00 and 23:59:59)
[!] --monthdays value    List of days on which to match, separated by comma
                         (Possible days: 1 to 31; defaults to all)
[!] --weekdays value     List of weekdays on which to match, sep. by comma
                         (Possible days: Mon,Tue,Wed,Thu,Fri,Sat,Sun or 1 to 7
                         Defaults to all weekdays.)
    --localtz/--utc      Time is interpreted as UTC/local time

Test time match with --monthdays, --weekdays, --timestart, --timestop args, works as expected.
Comment 11 releng-rhel@redhat.com 2010-11-10 15:43:52 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.